package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.PostUser;

/**
 * 权限模块 用户Service接口
 *
 * @author ruoyi
 * @date 2023-01-16
 */
public interface IPostUserService
{
    /**
     * 查询权限模块 用户
     *
     * @param id 权限模块 用户主键
     * @return 权限模块 用户
     */
    public PostUser selectPostUserById(Long id);

    /**
     * 查询权限模块 用户列表
     *
     * @param postUser 权限模块 用户
     * @return 权限模块 用户集合
     */
    public List<PostUser> selectPostUserList(PostUser postUser);

    /**
     * 新增权限模块 用户
     *
     * @param postUser 权限模块 用户
     * @return 结果
     */
    public int insertPostUser(PostUser postUser);

    /**
     * 修改权限模块 用户
     *
     * @param postUser 权限模块 用户
     * @return 结果
     */
    public int updatePostUser(PostUser postUser);

    /**
     * 批量删除权限模块 用户
     *
     * @param ids 需要删除的权限模块 用户主键集合
     * @return 结果
     */
    public int deletePostUserByIds(Long[] ids);

    /**
     * 删除权限模块 用户信息
     *
     * @param id 权限模块 用户主键
     * @return 结果
     */
    public int deletePostUserById(Long id);
}
